//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace WebApplication
{
    using System;
    using System.Collections.Generic;
    
    public partial class habitaciones
    {
        public habitaciones()
        {
            this.paquetes = new HashSet<paquetes>();
            this.promociones = new HashSet<promociones>();
            this.reservaciones = new HashSet<reservaciones>();
            this.sedes = new HashSet<sedes>();
        }
    
        public int idHabitacion { get; set; }
        public int Numero { get; set; }
        public int TiposdeHabitacion_idTipodeHabitacion { get; set; }
    
        public virtual tiposdehabitacion tiposdehabitacion { get; set; }
        public virtual ICollection<paquetes> paquetes { get; set; }
        public virtual ICollection<promociones> promociones { get; set; }
        public virtual ICollection<reservaciones> reservaciones { get; set; }
        public virtual ICollection<sedes> sedes { get; set; }
    }
}
